Skip to main content
`Ctrl`+`K`

# VecRestoreArrayPair

Returns a pair of pointers for two vectors that may be common obtained with `VecGetArrayPair()`

## Synopsis

    static inline PetscErrorCode VecRestoreArrayPair(Vec x, Vec y, PetscScalar *xv[], PetscScalar *yv[])

Logically Collective; No Fortran Support

## Input Parameters

- x - the vector

- y - the second vector

- xv - location to put pointer to the first array

- yv - location to put pointer to the second array

## See Also

Vectors and Parallel Data, `VecGetArray()`, `VecGetArrayRead()`, `VecGetArrayPair()`

## Level

developer

## Location

include/petscvec.h

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages